Bug 148822 - CAN-2005-0365 dcopidlng insecure temporary file usage
CAN-2005-0365 dcopidlng insecure temporary file usage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdelibs (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
impact=low,public=20050121
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 17:06 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 05:20:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-15 17:06:28 EST
The dcopidlng script in KDE 3.3.2 creates temporary files with predictable
filenames, which allows local users to overwrite arbitrary files via a symlink
attack.

The kde BTS has more information:
http://bugs.kde.org/show_bug.cgi?id=97608
Comment 1 Ngo Than 2005-02-16 07:42:54 EST
it's now fixed in kdelibs-3.3.1-3.4, which is built in 4E-errata-candidate.
Comment 2 Mark J. Cox (Product Security) 2005-03-23 05:20:59 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-325.html

Note You need to log in before you can comment on or make changes to this bug.